package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckInfoDTO;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.dto.ExamineInfoDTO;
import com.diagbot.dto.ExamineSonInfoDTO;
import com.diagbot.entity.MedLisInfo;
import com.diagbot.mapper.MedLisInfoMapper;
import com.diagbot.service.MedLisInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.CheckInfoVO;
import com.diagbot.vo.DoctorAdviceVO;
import com.diagbot.vo.ExamineInfoVO;
import com.diagbot.vo.ExamineSonInfoVO;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */

@Service
public class MedLisInfoServiceImpl extends ServiceImpl<MedLisInfoMapper, MedLisInfo> implements MedLisInfoService {


    public IPage<ExamineInfoDTO> getExamineInfo(ExamineInfoVO examineInfoVO) throws ParseException {

        List<String> infos = this.baseMapper.getInfo(examineInfoVO.getHospitalId(), examineInfoVO.getBehospitalCode());

        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("检验")) {
                String[] split = s.split("、");
                for (String info : split) {
                    String[] targetInfos = info.split(":");
                    for (String targetInfo : targetInfos) {
                        if (!targetInfo.contains("检验")) {
                            String[] target = targetInfo.split(",");
                            infoSet.add(target[0] + ")");
                        }

                    }

                }
            }
        }

        IPage<ExamineInfoDTO> page = this.baseMapper.getExamineInfo(examineInfoVO, infoSet);
        List<ExamineInfoDTO> records = page.getRecords();
        for (ExamineInfoDTO record : records) {
            String cTime = record.getCTime();
            String rTime = record.getRTime();
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Date cTimeDate = simpleDateFormat.parse(cTime);
            Date rTimeDate = simpleDateFormat.parse(rTime);
            record.setCheckTime(cTimeDate);
            record.setRepTime(rTimeDate);
        }
        return page;
    }

    public IPage<ExamineSonInfoDTO> getExamineSonInfo(ExamineSonInfoVO examineSonInfoVO) {
        IPage<ExamineSonInfoDTO> page = this.baseMapper.getExamineSonInfo(examineSonInfoVO);
        return page;
    }
}
