package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckInfoDTO;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.entity.MedPacsInfo;
import com.diagbot.mapper.MedPacsInfoMapper;
import com.diagbot.service.MedPacsInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.CheckInfoVO;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author cy
 * @since 2020-09-04
 */
@Service
public class MedPacsInfoServiceImpl extends ServiceImpl<MedPacsInfoMapper, MedPacsInfo> implements MedPacsInfoService {


    public IPage<CheckInfoDTO> getCheckInfo(CheckInfoVO checkInfoVO) {

        List<String> infos = this.baseMapper.getInfo(checkInfoVO.getHospitalId(), checkInfoVO.getBehospitalCode());

        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("检查")) {
                String[] split = s.split("、");
                for (String info : split) {
                    String[] targetInfos = info.split(":");
                    for (String targetInfo : targetInfos) {
                        if (!targetInfo.contains("检查")) {
                            String[] target = targetInfo.split(",");
                            infoSet.add(target[0] + ")");
                        }

                    }

                }
            }
        }

        IPage<CheckInfoDTO> page = this.baseMapper.getCheckInfo(checkInfoVO, infoSet);
        return page;
    }
}
