package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/7 14:59
 */
@Getter
@Setter
public class ExamineInfoVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 检验项类型缺陷判别(0-全部检验项 1-缺陷检验项  2-非缺陷检验项 )
     */
    private Integer examineType = 0;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 检验类型判别
     */
    private String examineItemType;

    /**
     * 检验项目名称
     */
    private String examineItemName;

    /**
     * 检验时间开始
     */
    private Date jyDateStart;

    /**
     * 转化后检验时间开始
     */
    @ApiModelProperty(hidden = true)
    private String jyNewDateStart;


    /**
     * 检验时间结束
     */
    private Date jyDateEnd;


    /**
     * 转化后检验时间结束
     */
    @ApiModelProperty(hidden = true)
    private String jyNewDateEnd;

    /**
     *
     *
     * 提示信息
     */
    @JsonIgnore
    private String info;

}
